hledger-1.31: Command-line interface for the hledger accounting system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hledger.Cli.Commands.Activity

Description

Print a bar chart of posting activity per day, or other report interval.

Synopsis

- activitymode :: Mode RawOpts
- barchar :: Char
- activity :: CliOpts -> Journal -> IO ()
- showHistogram :: ReportSpec -> Journal -> String
- printDayWith :: (PrintfArg t, PrintfType t) => (t -> t) -> (DateSpan, t) -> t
- countBar :: Foldable t => t a -> [Char]

# Documentation

activitymode :: Mode RawOpts #

barchar :: Char #

activity :: CliOpts -> Journal -> IO () #

Print a bar chart of number of postings per report interval.

showHistogram :: ReportSpec -> Journal -> String #

printDayWith :: (PrintfArg t, PrintfType t) => (t -> t) -> (DateSpan, t) -> t #

countBar :: Foldable t => t a -> [Char] #